Bug 602178 - Resource hierarchy in alert emails not disambiguated
Resource hierarchy in alert emails not disambiguated
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
3.0.0
All Linux
high Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2010-06-09 06:14 EDT by Lukas Krejci
Modified: 2013-09-02 03:27 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:27:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2010-06-09 06:14:33 EDT
Description of problem:

The emails sent using the "Direct email" alert sender don't contain the type information on the resources. Due to resource renaming this can leave the user unsure what resource is the email about.

Both the resource name and the resource hierarchy should be enriched with the resource type for non-singleton resource types (so that it resembles the way nav tree encapsulates non-singleton resources in autogroups).

Version-Release number of selected component (if applicable):
3.0.0.Beta1

How reproducible:
always

Steps to Reproduce:
1. Create a "Direct Email" alert on some resource
2. Observe the information in the emails sent
  
Actual results:
Only the resource names are included in the email for both the resource in question and its parents in hierarchy.

Expected results:
The resource type should be mentioned for both the resource and its parents so that generic resource names (like localhost) gain more meaning.


Additional info:
Comment 1 Lukas Krejci 2010-06-09 06:35:59 EDT
The "System Roles" and "System Users" alert senders use the same format of the email, so they need to be changed as well.
Comment 2 John Mazzitelli 2011-03-24 09:09:22 EDT
jay just implemented a new D12N data model. The D12N information is now easily accessible from the Resource entity. It should be simple to add D12N info to the emails.
Comment 3 John Mazzitelli 2011-03-24 09:10:01 EDT
assigning to Jay since he knows all about the D12N stuff
Comment 4 Jay Shaughnessy 2011-03-25 21:50:07 EDT
Fixed in commit cb78e0b3:

I tested e-mail notification via system user sender. I believe all the e-mail senders go through the same code-path with the changes but they should all be tested.
Comment 5 Sunil Kondkar 2011-06-23 04:50:17 EDT
Verified on build#149 (Version: 4.1.0-SNAPSHOT  Build Number: 04f721e)

The email sent now displays the resource type for the resource and the parent as below:


Resource Ancestry:

suniltest [Platforms, Linux]
    localhost.localdomain:1099 all [JBossAS5, JBossAS Server]

Verified this for the system roles, system users and direct email options.

Marking as verified.
Comment 6 Heiko W. Rupp 2013-09-02 03:27:54 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.